# People

## Directly responsible individuals

At Fleet we use the concept of directly responsible individuals (**DRI**s), a person who is singularly responsible for a given aspect of the open source project, the product, or the company.

This person is responsible for accomplishing goals and making decisions about a particular aspect of Fleet.

DRIs help us collaborate efficiently by knowing exactly who is responsible, and can make decisions about the work they're doing.

|    Aspect              										| DRI     		|
| ------------------------------------------------------------- | ------------- |
| Wireframes (figma)	 										| Noah Talerman	|
| How the product works 										| Noah Talerman |
| fleetctl CLI interface (and other tools) 						| Tomás Touceda |
| REST API interface design 							| Luke Heath	|
| [REST API docs](https://fleetdm.com/docs/using-fleet/rest-api) | Luke Heath | 
| Postman 											| Luke Heath 	|
| Terraform 											| Ben Edwards 	|
| Customer PoV deployments like acme.fleetdm.com 				| Ben Edwards 	|
| dogfood.fleetdm.com 											| Ben Edwards  	|
| Quality of core product UI 									| Luke Heath 	|
| Quality of tickets after Noah's done with them   				| Luke Heath 	|
| ["Escaped work"](https://docs.google.com/document/d/1vXL_WSUqASJWuNnQhUVrkudIeG4zlaiOCqJEa7xB2do/edit) | Luke Heath |
| Customer Slack channels | Tony Gauda |
| Quality of core product backend 									| Tomás Touceda |
| Quality of fleetctl (and other tools)							| Tomás Touceda |
| Final cut of what goes into each release 						| Zach Wasserman|
| When we cut a release, version numbers, and whether to release| Zach Wasserman|
| Release notes 												| Noah Talerman |
| Publishing release blog post, and promoting releases 			| Mike Thomas  	|

>You can read more about directly responsible individuals in [Gitlab's handbook](https://about.gitlab.com/handbook/people-group/directly-responsible-individuals/)

## Spending company money
As we continue to expand our own company policies, we use [GitLab's open expense policy](https://about.gitlab.com/handbook/spending-company-money/) as a guide for company spending.

In brief, this means that as a Fleet team member, you may:

* Spend company money like it is your own money.
* Be responsible for what you need to purchase or expense in order to do your job effectively.
* Feel free to make purchases __in the interest of the company__ without asking for permission beforehand (when in doubt, do __inform__ your manager prior to purchase, or as soon as possible after the purchase).

For more developed thoughts about __spending guidelines and limits__, please read [GitLab's open expense policy](https://about.gitlab.com/handbook/spending-company-money/).

## Meetings

* At Fleet, meetings start whether you're there or not. Nevertheless, being even a few minutes late can make a big difference and slow your meeting counterparts down. When in doubt, show up a couple of minutes early.
* It's okay to spend the first minute or two of a meeting to be present and make small talk, if you want.  Being all-remote, it's easy to miss out on hallway chatter and human connections that happen in [meatspace](https://www.dictionary.com/browse/meatspace).  Why not use this time together during the first minute to say "hi".  Then you can jump right in to the topics being discussed?
* Turning on your camera allows for more complete and intuitive verbal and non-verbal communication.  When joining meetings with new participants who you might not be familiar with yet, feel free to leave your camera on or to turn it off.  When you lead or cohost a meeting, turn your camera on.



<meta name="maintainedBy" value="eashaw">
